<template>
  <div class="row justify-content-md-center">
    <div class="col-1" v-if="arrow">
      <router-link :to="arrowUri" >
        <font-awesome-icon :icon="['fas', 'chevron-left']" />
      </router-link>
    </div>
    <div class="col">
      <h1 class="h3 mb-3">{{page}}</h1>
    </div>
    <div class="col-12">
      <slot/>
    </div>
    <div class="col justify-content-md-center" >
      <p class="mt-5 mb-3 text-muted">&copy; 2017-2018</p>
    </div>
  </div>
</template>

<script>
export default {
  name: 'LayoutLoginVue',
  props: {
    page: String,
    arrow: Boolean,
    arrowUri: String,
  },
  data () {
    return {

    }
  },
  watch: {

  },
  methods:{

  },
  mounted() {

  },
  created(){
    let token = localStorage.token

    if ( token ) {
      this.$router.push({ name: 'Home'})
    }
  }
}
</script>

<style lang="sass">
  @import '@/assets/sass/app.sass'
</style>
